import request from '@/utils/httpRequest'

export default class NoticeService {
  list (params) {
    return request({
      url: '/flowable/notice/list',
      method: 'get',
      params: params
    })
  }

  addInfo (params) {
    return request({
      url: '/flowable/notice/add',
      method: 'get',
      params: params
    })
  }

  update (params) {
    return request({
      url: '/flowable/notice/update',
      method: 'get',
      params: params
    })
  }

  stockUpdate (params) {
    return request({
      url: '/flowable/notice/stockUpdate',
      method: 'get',
      params: params
    })
  }

  portionRead (ids) {
    return request({
      url: '/flowable/notice/portionRead',
      method: 'post',
      params: {ids: ids}
    })
  }

  readAll () {
    return request({
      url: '/flowable/notice/readAll',
      method: 'post'
    })
  }
}
